Subject: Re: 23.0.91; emacsclient loses keybindings after terminal suspend/resume under screen

From: Robert Cochran <[email-masked]>
Date: Sun, 03 Jun 2018 16:57:44 -0700

> When I start "emacsclient -t" under GNU screen,
> then suspend it (with C-z) and resume again, it stops
> understanding the arrow keys.
> 
> Instead it starts echoing error messages like
> M-[ b is undefined

I was unable to reproduce this with

GNU Screen 4.06.02
GNU Emacs 27.0.50 (build 1, x86_64-redhat-linux-gnu, X toolkit, Xaw3d scroll bars) of 2018-06-03

I was able to suspend the emacsclient, and then 'fg' it again. Arrow
keys were behaving as expected.

> The value of $TERM is:
> $ echo $TERM
> screen

Likewise here, FWIW.

-- 
~Robert Cochran

GPG Fingerprint - BD0C 5F8B 381C 64F0 F3CE  E7B9 EC9A 872C 41B2 77C2